# Accounts Login Create POST /api/v1/iam/accounts/login/ Content-Type: application/json Logs in the user via given login and password. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/accounts-login-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/accounts/login/: post: operationId: accounts-login-create summary: Accounts Login Create description: Logs in the user via given login and password. tags: - subpackage_iam responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/DefaultLogin' requestBody: content: application/json: schema: $ref: '#/components/schemas/DefaultLogin' components: schemas: DefaultLogin: type: object properties: login: type: string password: type: string required: - login - password description: |- Default serializer used for user login. Please keep in mind that the authentication is done by separate function defined by :ref:`login-authenticator-setting` setting. By default :ref:`login-authenticator-setting` function will use :ref:`user-login-fields-setting` setting to extract the login field from the validated serializer data either by using the 'login' key (which is used here) or the specific login field name(s) (e.g. 'username', 'email'). If you want different behavior, you need to override :ref:`login-authenticator-setting` in your settings. title: DefaultLogin ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/accounts/login/" payload = { "login": "jane.doe@example.com", "password": "SecurePass123!" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/accounts/login/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"login":"jane.doe@example.com","password":"SecurePass123!"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/accounts/login/" payload := strings.NewReader("{\n \"login\": \"jane.doe@example.com\",\n \"password\": \"SecurePass123!\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/accounts/login/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"login\": \"jane.doe@example.com\",\n \"password\": \"SecurePass123!\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/accounts/login/") .header("Content-Type", "application/json") .body("{\n \"login\": \"jane.doe@example.com\",\n \"password\": \"SecurePass123!\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/iam/accounts/login/', [ 'body' => '{ "login": "jane.doe@example.com", "password": "SecurePass123!" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/accounts/login/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"login\": \"jane.doe@example.com\",\n \"password\": \"SecurePass123!\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "login": "jane.doe@example.com", "password": "SecurePass123!" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/accounts/login/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```